Runtime

## org.eclipse.gmf.runtime.notation
Interface EObjectValueStyle

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, NamedStyle, org.eclipse.emf.common.notify.Notifier, Style

All Known Implementing Classes:
  EObjectValueStyleImpl

    public interface EObjectValueStyle

extends NamedStyle

A representation of the model object 'EObject Value Style'.

The following features are supported:

- `EObject Value`

See Also:
  `NotationPackage.getEObjectValueStyle()`
** Generated **
Model:

Method Summary
`org.eclipse.emf.ecore.EObject` `getEObjectValue()` Returns the value of the 'EObject Value' reference
`void` `setEObjectValue(org.eclipse.emf.ecore.EObject value)` Sets the value of the '`EObject Value`' reference

Methods inherited from interface org.eclipse.gmf.runtime.notation.NamedStyle
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getEObjectValue

    org.eclipse.emf.ecore.EObject getEObjectValue()

  Returns the value of the 'EObject Value' reference.

  If the meaning of the 'EObject Value' reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'EObject Value' reference.
  See Also:
    `setEObjectValue(EObject)`, `NotationPackage.getEObjectValueStyle_EObjectValue()`
  ** Generated **
  Model:

### setEObjectValue

    void setEObjectValue(org.eclipse.emf.ecore.EObject value)

  Sets the value of the '`EObject Value`' reference.

  Parameters:
    `value` - the new value of the 'EObject Value' reference.
  See Also:
    `getEObjectValue()`
  ** Generated **

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.